Index: unk/gsdl/src/mgpp/confdefs.h
===================================================================
--- /trunk/gsdl/src/mgpp/confdefs.h	(revision 856)
+++ 	(revision )
@@ -1,1 +1,0 @@
-
Index: unk/gsdl/src/mgpp/config.cache
===================================================================
--- /trunk/gsdl/src/mgpp/config.cache	(revision 856)
+++ 	(revision )
@@ -1,70 +1,0 @@
-# This file is a shell script that caches the results of configure
-# tests run on this system so they can be shared between configure
-# scripts and configure runs.  It is not useful on other systems.
-# If it contains results you don't want to keep, you may remove or edit it.
-#
-# By default, configure uses ./config.cache as the cache file,
-# creating it if it does not exist already.  You can give configure
-# the --cache-file=FILE option to use a different cache file; that is
-# what configure does when it calls configure scripts in
-# subdirectories, so they share the cache.
-# Giving --cache-file=/dev/null disables caching, for debugging configure.
-# config.status only pays attention to the cache file if you give it the
-# --recheck option to rerun configure.
-#
-ac_cv_c_const=${ac_cv_c_const='yes'}
-ac_cv_func_alloca_works=${ac_cv_func_alloca_works='yes'}
-ac_cv_func_ftime=${ac_cv_func_ftime='yes'}
-ac_cv_func_ftruncate=${ac_cv_func_ftruncate='yes'}
-ac_cv_func_getpagesize=${ac_cv_func_getpagesize='yes'}
-ac_cv_func_getrusage=${ac_cv_func_getrusage='yes'}
-ac_cv_func_mallinfo=${ac_cv_func_mallinfo='yes'}
-ac_cv_func_re_rx_search=${ac_cv_func_re_rx_search='no'}
-ac_cv_func_select=${ac_cv_func_select='yes'}
-ac_cv_func_setbuffer=${ac_cv_func_setbuffer='yes'}
-ac_cv_func_strcasecmp=${ac_cv_func_strcasecmp='yes'}
-ac_cv_func_strerror=${ac_cv_func_strerror='yes'}
-ac_cv_func_strftime=${ac_cv_func_strftime='yes'}
-ac_cv_func_strstr=${ac_cv_func_strstr='yes'}
-ac_cv_func_strtol=${ac_cv_func_strtol='yes'}
-ac_cv_func_times=${ac_cv_func_times='yes'}
-ac_cv_func_valloc=${ac_cv_func_valloc='yes'}
-ac_cv_func_vprintf=${ac_cv_func_vprintf='yes'}
-ac_cv_header_alloca_h=${ac_cv_header_alloca_h='yes'}
-ac_cv_header_dirent_dirent_h=${ac_cv_header_dirent_dirent_h='yes'}
-ac_cv_header_fcntl_h=${ac_cv_header_fcntl_h='yes'}
-ac_cv_header_limits_h=${ac_cv_header_limits_h='yes'}
-ac_cv_header_memory_h=${ac_cv_header_memory_h='yes'}
-ac_cv_header_minix_config_h=${ac_cv_header_minix_config_h='no'}
-ac_cv_header_stdc=${ac_cv_header_stdc='yes'}
-ac_cv_header_string_h=${ac_cv_header_string_h='yes'}
-ac_cv_header_sys_procfs_h=${ac_cv_header_sys_procfs_h='yes'}
-ac_cv_header_sys_time_h=${ac_cv_header_sys_time_h='yes'}
-ac_cv_header_time=${ac_cv_header_time='yes'}
-ac_cv_header_unistd_h=${ac_cv_header_unistd_h='yes'}
-ac_cv_lib_dir_opendir=${ac_cv_lib_dir_opendir='no'}
-ac_cv_lib_m_main=${ac_cv_lib_m_main='yes'}
-ac_cv_path_install=${ac_cv_path_install='/usr/bin/install -c'}
-ac_cv_prog_AWK=${ac_cv_prog_AWK='gawk'}
-ac_cv_prog_CC=${ac_cv_prog_CC='egcs'}
-ac_cv_prog_CPP=${ac_cv_prog_CPP='egcs -E'}
-ac_cv_prog_CXX=${ac_cv_prog_CXX='egcs'}
-ac_cv_prog_LN_S=${ac_cv_prog_LN_S='ln -s'}
-ac_cv_prog_RANLIB=${ac_cv_prog_RANLIB='ranlib'}
-ac_cv_prog_YACC=${ac_cv_prog_YACC='bison -y'}
-ac_cv_prog_cc_cross=${ac_cv_prog_cc_cross='no'}
-ac_cv_prog_cc_g=${ac_cv_prog_cc_g='yes'}
-ac_cv_prog_cc_stdc=${ac_cv_prog_cc_stdc=''}
-ac_cv_prog_cc_works=${ac_cv_prog_cc_works='yes'}
-ac_cv_prog_cxx_cross=${ac_cv_prog_cxx_cross='no'}
-ac_cv_prog_cxx_g=${ac_cv_prog_cxx_g='yes'}
-ac_cv_prog_cxx_works=${ac_cv_prog_cxx_works='yes'}
-ac_cv_prog_gcc=${ac_cv_prog_gcc='yes'}
-ac_cv_prog_gcc_traditional=${ac_cv_prog_gcc_traditional='no'}
-ac_cv_prog_gxx=${ac_cv_prog_gxx='yes'}
-ac_cv_prog_make_make_set=${ac_cv_prog_make_make_set='yes'}
-ac_cv_sizeof_unsigned_char_p=${ac_cv_sizeof_unsigned_char_p='4'}
-ac_cv_struct_tm=${ac_cv_struct_tm='time.h'}
-ac_cv_type_off_t=${ac_cv_type_off_t='yes'}
-ac_cv_type_signal=${ac_cv_type_signal='void'}
-ac_cv_type_size_t=${ac_cv_type_size_t='yes'}
Index: /trunk/gsdl/src/mgpp/config.h
===================================================================
--- /trunk/gsdl/src/mgpp/config.h	(revision 856)
+++ /trunk/gsdl/src/mgpp/config.h	(revision 857)
@@ -104,5 +104,5 @@
 
 /* The number of bytes in a unsigned char *.  */
-#define SIZEOF_UNSIGNED_CHAR_P 4
+/* #undef SIZEOF_UNSIGNED_CHAR_P */
 
 /* Define if you have the ftime function.  */
Index: unk/gsdl/src/mgpp/config.log
===================================================================
--- /trunk/gsdl/src/mgpp/config.log	(revision 856)
+++ 	(revision )
@@ -1,3 +1,0 @@
-This file contains any messages produced by compilers while
-running configure, to aid debugging if configure makes a mistake.
-
Index: unk/gsdl/src/mgpp/config.status
===================================================================
--- /trunk/gsdl/src/mgpp/config.status	(revision 856)
+++ 	(revision )
@@ -1,395 +1,0 @@
-#! /bin/sh
-# Generated automatically by configure.
-# Run this file to recreate the current configuration.
-# This directory was configured as follows,
-# on host turtle.home.digilibs.com:
-#
-# ./configure  prefix=/home/rodger/tmp/gsdl/src/mgpp
-#
-# Compiler output produced by configure, useful for debugging
-# configure, is in ./config.log if it exists.
-
-ac_cs_usage="Usage: ./config.status [--recheck] [--version] [--help]"
-for ac_option
-do
-  case "$ac_option" in
-  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
-    echo "running ${CONFIG_SHELL-/bin/sh} ./configure  prefix=/home/rodger/tmp/gsdl/src/mgpp --no-create --no-recursion"
-    exec ${CONFIG_SHELL-/bin/sh} ./configure  prefix=/home/rodger/tmp/gsdl/src/mgpp --no-create --no-recursion ;;
-  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
-    echo "./config.status generated by autoconf version 2.12"
-    exit 0 ;;
-  -help | --help | --hel | --he | --h)
-    echo "$ac_cs_usage"; exit 0 ;;
-  *) echo "$ac_cs_usage"; exit 1 ;;
-  esac
-done
-
-ac_given_srcdir=.
-ac_given_INSTALL="/usr/bin/install -c"
-
-trap 'rm -fr Makefile text/Makefile src/images/Makefile 
-          scripts/Makefile lib/Makefile docs/Makefile test/Makefile config.h conftest*; exit 1' 1 2 15
-
-# Protect against being on the right side of a sed subst in config.status.
-sed 's/%@/@@/; s/@%/@@/; s/%g$/@g/; /@g$/s/[\\&%]/\\&/g;
- s/@@/%@/; s/@@/@%/; s/@g$/%g/' > conftest.subs <<\CEOF
-/^[ 	]*VPATH[ 	]*=[^:]*$/d
-
-s%@CFLAGS@%-g -O2%g
-s%@CPPFLAGS@%%g
-s%@CXXFLAGS@%-g -O2%g
-s%@DEFS@%-DHAVE_CONFIG_H%g
-s%@LDFLAGS@%%g
-s%@LIBS@%-lm %g
-s%@exec_prefix@%${prefix}%g
-s%@prefix@%/usr/local%g
-s%@program_transform_name@%s,x,x,%g
-s%@bindir@%${exec_prefix}/bin%g
-s%@sbindir@%${exec_prefix}/sbin%g
-s%@libexecdir@%${exec_prefix}/libexec%g
-s%@datadir@%${prefix}/share%g
-s%@sysconfdir@%${prefix}/etc%g
-s%@sharedstatedir@%${prefix}/com%g
-s%@localstatedir@%${prefix}/var%g
-s%@libdir@%${exec_prefix}/lib%g
-s%@includedir@%${prefix}/include%g
-s%@oldincludedir@%/usr/include%g
-s%@infodir@%${prefix}/info%g
-s%@mandir@%${prefix}/man%g
-s%@PACKAGE@%mgpp%g
-s%@VERSION@%1.3%g
-s%@CXX@%egcs%g
-s%@AWK@%gawk%g
-s%@YACC@%bison -y%g
-s%@CC@%egcs%g
-s%@INSTALL_PROGRAM@%${INSTALL}%g
-s%@INSTALL_DATA@%${INSTALL} -m 644%g
-s%@LN_S@%ln -s%g
-s%@SET_MAKE@%%g
-s%@RANLIB@%ranlib%g
-s%@CPP@%egcs -E%g
-s%@U@%%g
-s%@ANSI2KNR@%%g
-s%@ALLOCA@%%g
-s%@LIBOBJS@% rx.o%g
-
-CEOF
-
-# Split the substitutions into bite-sized pieces for seds with
-# small command number limits, like on Digital OSF/1 and HP-UX.
-ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
-ac_file=1 # Number of current file.
-ac_beg=1 # First line for current file.
-ac_end=$ac_max_sed_cmds # Line after last line for current file.
-ac_more_lines=:
-ac_sed_cmds=""
-while $ac_more_lines; do
-  if test $ac_beg -gt 1; then
-    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
-  else
-    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
-  fi
-  if test ! -s conftest.s$ac_file; then
-    ac_more_lines=false
-    rm -f conftest.s$ac_file
-  else
-    if test -z "$ac_sed_cmds"; then
-      ac_sed_cmds="sed -f conftest.s$ac_file"
-    else
-      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
-    fi
-    ac_file=`expr $ac_file + 1`
-    ac_beg=$ac_end
-    ac_end=`expr $ac_end + $ac_max_sed_cmds`
-  fi
-done
-if test -z "$ac_sed_cmds"; then
-  ac_sed_cmds=cat
-fi
-
-CONFIG_FILES=${CONFIG_FILES-"Makefile text/Makefile src/images/Makefile 
-          scripts/Makefile lib/Makefile docs/Makefile test/Makefile"}
-for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
-  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
-  case "$ac_file" in
-  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
-       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
-  *) ac_file_in="${ac_file}.in" ;;
-  esac
-
-  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
-
-  # Remove last slash and all that follows it.  Not all systems have dirname.
-  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
-  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
-    # The file is in a subdirectory.
-    test ! -d "$ac_dir" && mkdir "$ac_dir"
-    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
-    # A "../" for each directory in $ac_dir_suffix.
-    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
-  else
-    ac_dir_suffix= ac_dots=
-  fi
-
-  case "$ac_given_srcdir" in
-  .)  srcdir=.
-      if test -z "$ac_dots"; then top_srcdir=.
-      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
-  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
-  *) # Relative path.
-    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
-    top_srcdir="$ac_dots$ac_given_srcdir" ;;
-  esac
-
-  case "$ac_given_INSTALL" in
-  [/$]*) INSTALL="$ac_given_INSTALL" ;;
-  *) INSTALL="$ac_dots$ac_given_INSTALL" ;;
-  esac
-
-  echo creating "$ac_file"
-  rm -f "$ac_file"
-  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
-  case "$ac_file" in
-  *Makefile*) ac_comsub="1i\\
-# $configure_input" ;;
-  *) ac_comsub= ;;
-  esac
-
-  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
-  sed -e "$ac_comsub
-s%@configure_input@%$configure_input%g
-s%@srcdir@%$srcdir%g
-s%@top_srcdir@%$top_srcdir%g
-s%@INSTALL@%$INSTALL%g
-" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
-fi; done
-rm -f conftest.s*
-
-# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
-# NAME is the cpp macro being defined and VALUE is the value it is being given.
-#
-# ac_d sets the value in "#define NAME VALUE" lines.
-ac_dA='s%^\([ 	]*\)#\([ 	]*define[ 	][ 	]*\)'
-ac_dB='\([ 	][ 	]*\)[^ 	]*%\1#\2'
-ac_dC='\3'
-ac_dD='%g'
-# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
-ac_uA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
-ac_uB='\([ 	]\)%\1#\2define\3'
-ac_uC=' '
-ac_uD='\4%g'
-# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
-ac_eA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
-ac_eB='$%\1#\2define\3'
-ac_eC=' '
-ac_eD='%g'
-
-if test "${CONFIG_HEADERS+set}" != set; then
-  CONFIG_HEADERS="config.h"
-fi
-for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
-  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
-  case "$ac_file" in
-  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
-       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
-  *) ac_file_in="${ac_file}.in" ;;
-  esac
-
-  echo creating $ac_file
-
-  rm -f conftest.frag conftest.in conftest.out
-  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
-  cat $ac_file_inputs > conftest.in
-
-  cat > conftest.frag <<CEOF
-${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"mgpp"${ac_dD}
-${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"mgpp"${ac_uD}
-${ac_eA}PACKAGE${ac_eB}PACKAGE${ac_eC}"mgpp"${ac_eD}
-${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"1.3"${ac_dD}
-${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"1.3"${ac_uD}
-${ac_eA}VERSION${ac_eB}VERSION${ac_eC}"1.3"${ac_eD}
-${ac_dA}PROTOTYPES${ac_dB}PROTOTYPES${ac_dC}1${ac_dD}
-${ac_uA}PROTOTYPES${ac_uB}PROTOTYPES${ac_uC}1${ac_uD}
-${ac_eA}PROTOTYPES${ac_eB}PROTOTYPES${ac_eC}1${ac_eD}
-${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
-${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
-${ac_eA}STDC_HEADERS${ac_eB}STDC_HEADERS${ac_eC}1${ac_eD}
-CEOF
-  sed -f conftest.frag conftest.in > conftest.out
-  rm -f conftest.in
-  mv conftest.out conftest.in
-
-  cat > conftest.frag <<CEOF
-${ac_dA}TIME_WITH_SYS_TIME${ac_dB}TIME_WITH_SYS_TIME${ac_dC}1${ac_dD}
-${ac_uA}TIME_WITH_SYS_TIME${ac_uB}TIME_WITH_SYS_TIME${ac_uC}1${ac_uD}
-${ac_eA}TIME_WITH_SYS_TIME${ac_eB}TIME_WITH_SYS_TIME${ac_eC}1${ac_eD}
-${ac_dA}HAVE_LIBM${ac_dB}HAVE_LIBM${ac_dC}1${ac_dD}
-${ac_uA}HAVE_LIBM${ac_uB}HAVE_LIBM${ac_uC}1${ac_uD}
-${ac_eA}HAVE_LIBM${ac_eB}HAVE_LIBM${ac_eC}1${ac_eD}
-${ac_dA}HAVE_DIRENT_H${ac_dB}HAVE_DIRENT_H${ac_dC}1${ac_dD}
-${ac_uA}HAVE_DIRENT_H${ac_uB}HAVE_DIRENT_H${ac_uC}1${ac_uD}
-${ac_eA}HAVE_DIRENT_H${ac_eB}HAVE_DIRENT_H${ac_eC}1${ac_eD}
-${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
-${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
-${ac_eA}STDC_HEADERS${ac_eB}STDC_HEADERS${ac_eC}1${ac_eD}
-CEOF
-  sed -f conftest.frag conftest.in > conftest.out
-  rm -f conftest.in
-  mv conftest.out conftest.in
-
-  cat > conftest.frag <<CEOF
-${ac_dA}HAVE_FCNTL_H${ac_dB}HAVE_FCNTL_H${ac_dC}1${ac_dD}
-${ac_uA}HAVE_FCNTL_H${ac_uB}HAVE_FCNTL_H${ac_uC}1${ac_uD}
-${ac_eA}HAVE_FCNTL_H${ac_eB}HAVE_FCNTL_H${ac_eC}1${ac_eD}
-${ac_dA}HAVE_LIMITS_H${ac_dB}HAVE_LIMITS_H${ac_dC}1${ac_dD}
-${ac_uA}HAVE_LIMITS_H${ac_uB}HAVE_LIMITS_H${ac_uC}1${ac_uD}
-${ac_eA}HAVE_LIMITS_H${ac_eB}HAVE_LIMITS_H${ac_eC}1${ac_eD}
-${ac_dA}HAVE_SYS_TIME_H${ac_dB}HAVE_SYS_TIME_H${ac_dC}1${ac_dD}
-${ac_uA}HAVE_SYS_TIME_H${ac_uB}HAVE_SYS_TIME_H${ac_uC}1${ac_uD}
-${ac_eA}HAVE_SYS_TIME_H${ac_eB}HAVE_SYS_TIME_H${ac_eC}1${ac_eD}
-${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
-${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
-${ac_eA}HAVE_UNISTD_H${ac_eB}HAVE_UNISTD_H${ac_eC}1${ac_eD}
-CEOF
-  sed -f conftest.frag conftest.in > conftest.out
-  rm -f conftest.in
-  mv conftest.out conftest.in
-
-  cat > conftest.frag <<CEOF
-${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
-${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
-${ac_eA}HAVE_STRING_H${ac_eB}HAVE_STRING_H${ac_eC}1${ac_eD}
-${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
-${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
-${ac_eA}HAVE_MEMORY_H${ac_eB}HAVE_MEMORY_H${ac_eC}1${ac_eD}
-${ac_dA}HAVE_SYS_PROCFS_H${ac_dB}HAVE_SYS_PROCFS_H${ac_dC}1${ac_dD}
-${ac_uA}HAVE_SYS_PROCFS_H${ac_uB}HAVE_SYS_PROCFS_H${ac_uC}1${ac_uD}
-${ac_eA}HAVE_SYS_PROCFS_H${ac_eB}HAVE_SYS_PROCFS_H${ac_eC}1${ac_eD}
-${ac_dA}HAVE_FREAD_DECL${ac_dB}HAVE_FREAD_DECL${ac_dC}1${ac_dD}
-${ac_uA}HAVE_FREAD_DECL${ac_uB}HAVE_FREAD_DECL${ac_uC}1${ac_uD}
-${ac_eA}HAVE_FREAD_DECL${ac_eB}HAVE_FREAD_DECL${ac_eC}1${ac_eD}
-CEOF
-  sed -f conftest.frag conftest.in > conftest.out
-  rm -f conftest.in
-  mv conftest.out conftest.in
-
-  cat > conftest.frag <<CEOF
-${ac_dA}HAVE_FGETC_DECL${ac_dB}HAVE_FGETC_DECL${ac_dC}1${ac_dD}
-${ac_uA}HAVE_FGETC_DECL${ac_uB}HAVE_FGETC_DECL${ac_uC}1${ac_uD}
-${ac_eA}HAVE_FGETC_DECL${ac_eB}HAVE_FGETC_DECL${ac_eC}1${ac_eD}
-${ac_dA}HAVE_ALLOCA_H${ac_dB}HAVE_ALLOCA_H${ac_dC}1${ac_dD}
-${ac_uA}HAVE_ALLOCA_H${ac_uB}HAVE_ALLOCA_H${ac_uC}1${ac_uD}
-${ac_eA}HAVE_ALLOCA_H${ac_eB}HAVE_ALLOCA_H${ac_eC}1${ac_eD}
-${ac_dA}HAVE_ALLOCA${ac_dB}HAVE_ALLOCA${ac_dC}1${ac_dD}
-${ac_uA}HAVE_ALLOCA${ac_uB}HAVE_ALLOCA${ac_uC}1${ac_uD}
-${ac_eA}HAVE_ALLOCA${ac_eB}HAVE_ALLOCA${ac_eC}1${ac_eD}
-${ac_dA}RETSIGTYPE${ac_dB}RETSIGTYPE${ac_dC}void${ac_dD}
-${ac_uA}RETSIGTYPE${ac_uB}RETSIGTYPE${ac_uC}void${ac_uD}
-${ac_eA}RETSIGTYPE${ac_eB}RETSIGTYPE${ac_eC}void${ac_eD}
-CEOF
-  sed -f conftest.frag conftest.in > conftest.out
-  rm -f conftest.in
-  mv conftest.out conftest.in
-
-  cat > conftest.frag <<CEOF
-${ac_dA}HAVE_VPRINTF${ac_dB}HAVE_VPRINTF${ac_dC}1${ac_dD}
-${ac_uA}HAVE_VPRINTF${ac_uB}HAVE_VPRINTF${ac_uC}1${ac_uD}
-${ac_eA}HAVE_VPRINTF${ac_eB}HAVE_VPRINTF${ac_eC}1${ac_eD}
-${ac_dA}HAVE_FTIME${ac_dB}HAVE_FTIME${ac_dC}1${ac_dD}
-${ac_uA}HAVE_FTIME${ac_uB}HAVE_FTIME${ac_uC}1${ac_uD}
-${ac_eA}HAVE_FTIME${ac_eB}HAVE_FTIME${ac_eC}1${ac_eD}
-${ac_dA}HAVE_SELECT${ac_dB}HAVE_SELECT${ac_dC}1${ac_dD}
-${ac_uA}HAVE_SELECT${ac_uB}HAVE_SELECT${ac_uC}1${ac_uD}
-${ac_eA}HAVE_SELECT${ac_eB}HAVE_SELECT${ac_eC}1${ac_eD}
-${ac_dA}HAVE_STRFTIME${ac_dB}HAVE_STRFTIME${ac_dC}1${ac_dD}
-${ac_uA}HAVE_STRFTIME${ac_uB}HAVE_STRFTIME${ac_uC}1${ac_uD}
-${ac_eA}HAVE_STRFTIME${ac_eB}HAVE_STRFTIME${ac_eC}1${ac_eD}
-CEOF
-  sed -f conftest.frag conftest.in > conftest.out
-  rm -f conftest.in
-  mv conftest.out conftest.in
-
-  cat > conftest.frag <<CEOF
-${ac_dA}HAVE_STRTOL${ac_dB}HAVE_STRTOL${ac_dC}1${ac_dD}
-${ac_uA}HAVE_STRTOL${ac_uB}HAVE_STRTOL${ac_uC}1${ac_uD}
-${ac_eA}HAVE_STRTOL${ac_eB}HAVE_STRTOL${ac_eC}1${ac_eD}
-${ac_dA}HAVE_GETRUSAGE${ac_dB}HAVE_GETRUSAGE${ac_dC}1${ac_dD}
-${ac_uA}HAVE_GETRUSAGE${ac_uB}HAVE_GETRUSAGE${ac_uC}1${ac_uD}
-${ac_eA}HAVE_GETRUSAGE${ac_eB}HAVE_GETRUSAGE${ac_eC}1${ac_eD}
-${ac_dA}HAVE_TIMES${ac_dB}HAVE_TIMES${ac_dC}1${ac_dD}
-${ac_uA}HAVE_TIMES${ac_uB}HAVE_TIMES${ac_uC}1${ac_uD}
-${ac_eA}HAVE_TIMES${ac_eB}HAVE_TIMES${ac_eC}1${ac_eD}
-${ac_dA}HAVE_MALLINFO${ac_dB}HAVE_MALLINFO${ac_dC}1${ac_dD}
-${ac_uA}HAVE_MALLINFO${ac_uB}HAVE_MALLINFO${ac_uC}1${ac_uD}
-${ac_eA}HAVE_MALLINFO${ac_eB}HAVE_MALLINFO${ac_eC}1${ac_eD}
-CEOF
-  sed -f conftest.frag conftest.in > conftest.out
-  rm -f conftest.in
-  mv conftest.out conftest.in
-
-  cat > conftest.frag <<CEOF
-${ac_dA}HAVE_SETBUFFER${ac_dB}HAVE_SETBUFFER${ac_dC}1${ac_dD}
-${ac_uA}HAVE_SETBUFFER${ac_uB}HAVE_SETBUFFER${ac_uC}1${ac_uD}
-${ac_eA}HAVE_SETBUFFER${ac_eB}HAVE_SETBUFFER${ac_eC}1${ac_eD}
-${ac_dA}HAVE_GETPAGESIZE${ac_dB}HAVE_GETPAGESIZE${ac_dC}1${ac_dD}
-${ac_uA}HAVE_GETPAGESIZE${ac_uB}HAVE_GETPAGESIZE${ac_uC}1${ac_uD}
-${ac_eA}HAVE_GETPAGESIZE${ac_eB}HAVE_GETPAGESIZE${ac_eC}1${ac_eD}
-${ac_dA}HAVE_STRERROR${ac_dB}HAVE_STRERROR${ac_dC}1${ac_dD}
-${ac_uA}HAVE_STRERROR${ac_uB}HAVE_STRERROR${ac_uC}1${ac_uD}
-${ac_eA}HAVE_STRERROR${ac_eB}HAVE_STRERROR${ac_eC}1${ac_eD}
-${ac_dA}HAVE_FTRUNCATE${ac_dB}HAVE_FTRUNCATE${ac_dC}1${ac_dD}
-${ac_uA}HAVE_FTRUNCATE${ac_uB}HAVE_FTRUNCATE${ac_uC}1${ac_uD}
-${ac_eA}HAVE_FTRUNCATE${ac_eB}HAVE_FTRUNCATE${ac_eC}1${ac_eD}
-CEOF
-  sed -f conftest.frag conftest.in > conftest.out
-  rm -f conftest.in
-  mv conftest.out conftest.in
-
-  cat > conftest.frag <<CEOF
-${ac_dA}HAVE_STRSTR${ac_dB}HAVE_STRSTR${ac_dC}1${ac_dD}
-${ac_uA}HAVE_STRSTR${ac_uB}HAVE_STRSTR${ac_uC}1${ac_uD}
-${ac_eA}HAVE_STRSTR${ac_eB}HAVE_STRSTR${ac_eC}1${ac_eD}
-${ac_dA}HAVE_STRCASECMP${ac_dB}HAVE_STRCASECMP${ac_dC}1${ac_dD}
-${ac_uA}HAVE_STRCASECMP${ac_uB}HAVE_STRCASECMP${ac_uC}1${ac_uD}
-${ac_eA}HAVE_STRCASECMP${ac_eB}HAVE_STRCASECMP${ac_eC}1${ac_eD}
-${ac_dA}HAVE_VALLOC${ac_dB}HAVE_VALLOC${ac_dC}1${ac_dD}
-${ac_uA}HAVE_VALLOC${ac_uB}HAVE_VALLOC${ac_uC}1${ac_uD}
-${ac_eA}HAVE_VALLOC${ac_eB}HAVE_VALLOC${ac_eC}1${ac_eD}
-${ac_dA}SIZEOF_UNSIGNED_CHAR_P${ac_dB}SIZEOF_UNSIGNED_CHAR_P${ac_dC}4${ac_dD}
-${ac_uA}SIZEOF_UNSIGNED_CHAR_P${ac_uB}SIZEOF_UNSIGNED_CHAR_P${ac_uC}4${ac_uD}
-${ac_eA}SIZEOF_UNSIGNED_CHAR_P${ac_eB}SIZEOF_UNSIGNED_CHAR_P${ac_eC}4${ac_eD}
-CEOF
-  sed -f conftest.frag conftest.in > conftest.out
-  rm -f conftest.in
-  mv conftest.out conftest.in
-
-  cat > conftest.frag <<CEOF
-s%^[ 	]*#[ 	]*undef[ 	][ 	]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
-CEOF
-  sed -f conftest.frag conftest.in > conftest.out
-  rm -f conftest.in
-  mv conftest.out conftest.in
-
-  rm -f conftest.frag conftest.h
-  echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
-  cat conftest.in >> conftest.h
-  rm -f conftest.in
-  if cmp -s $ac_file conftest.h 2>/dev/null; then
-    echo "$ac_file is unchanged"
-    rm -f conftest.h
-  else
-    # Remove last slash and all that follows it.  Not all systems have dirname.
-      ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
-      if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
-      # The file is in a subdirectory.
-      test ! -d "$ac_dir" && mkdir "$ac_dir"
-    fi
-    rm -f $ac_file
-    mv conftest.h $ac_file
-  fi
-fi; done
-
-
-test -z "$CONFIG_HEADERS" || echo timestamp > stamp-h
-exit 0
Index: /trunk/gsdl/src/mgpp/configure
===================================================================
--- /trunk/gsdl/src/mgpp/configure	(revision 856)
+++ /trunk/gsdl/src/mgpp/configure	(revision 857)
@@ -462,5 +462,5 @@
 # A filename unique to this package, relative to the directory that
 # configure is in, which we can look for to find out if srcdir is correct.
-ac_unique_file=text/mgquery.cpp
+ac_unique_file=text/MGQuery.cpp
 
 # Find the source files, if location was not specified.
Index: /trunk/gsdl/src/mgpp/configure.in
===================================================================
--- /trunk/gsdl/src/mgpp/configure.in	(revision 856)
+++ /trunk/gsdl/src/mgpp/configure.in	(revision 857)
@@ -1,4 +1,4 @@
 dnl Process this file with autoconf to produce a configure script.
-AC_INIT(text/mgquery.cpp)
+AC_INIT(text/MGQuery.cpp)
 AC_CONFIG_HEADER(config.h)
 AC_ARG_PROGRAM