Index: trunk/gsdl/macros/base.dm
===================================================================
--- trunk/gsdl/macros/base.dm	(revision 725)
+++ trunk/gsdl/macros/base.dm	(revision 876)
@@ -7,17 +7,12 @@
 ##########
 
-# this is a hack for the chinese collection and should be removed once 
-# the collection metadata is fixed up 
-_documents_ [c=chinese] {document sections}
-_documents_ [c=chinese,l=zh] {ææ¬}
-_titles_ [c=chinese] {titles}
-_titles_ [c=chinese,l=zh] {é¢å}
-_chinese_ {Chinese demonstration collection}
-
-##########
-
-_collectionextra_ {This collection contains _about:numdocs_ documents. 
-It was last built _about:builddate_ days ago.}
-
+# won't need this once old versions of library are no longer used
+_decodedcompressedoptions_ {_compressedoptions_}
+
+
+_htmlextra_ {}
+
+_starthighlight_ {<b><u>}
+_endhighlight_ {</u></b>}
 
 #######################################################################
@@ -28,7 +23,6 @@
 
 _content_ {<p><h2>oops</h2>
-The requested page could not be found. Please use your browsers 'back' button
-or the above home button to return to the Greenstone Digital Library.}
-_pagetitle_ {GSDL Error}
+_textdefaultcontent_}
+_pagetitle_ {_textdefaulttitle_}
 _imagethispage_ {}
 _iconcollection_ {}
@@ -340,5 +334,5 @@
 _mailaddr_ {nzdl@nzdl.org}
 
-
+_gsdltop_ {_top}
 
 #######################################################################
@@ -347,4 +341,6 @@
 # These contain the url without any quotes
 #######################################################################
+
+_httpcollimg_ {_httpcollection_/index/assoc}
 
 _httpcollection_{_httpprefix_/collect/_cgiargc_}
@@ -355,5 +351,5 @@
 #_httppagehome_ {_httppagex_(home)}
 #_httppagehome_ {_gwcgi_?a=p&p=home}
-_httppagehome_ {http://www.nzdl.org/cgi-bin/sblibrary?a=p&p=home}
+_httppagehome_ {http://www.nzdl.org/fast-cgi-bin/library?a=p&p=home}
 _httppagehelp_ {_httppagex_(help)}
 _httppagepref_ {_httppagex_(preferences)}
@@ -363,5 +359,10 @@
 _httpcurrentdocument_ {_gwcgi_?e=_compressedoptions_&cl=_cgiargcl_&d=_cgiargd_}
 _httpquery_ {_gwcgi_?e=_compressedoptions_&a=q}
+
+# _httpdoc_ is the same as _httpdocument_ - _httpdocument_
+# may occasionally be altered by the server however
 _httpdocument_ {_gwcgi_?e=_compressedoptions_&a=d}
+_httpdoc_  {_gwcgi_?e=_compressedoptions_&a=d}
+
 _httpextlink_ {_gwcgi_?e=_compressedoptions_&a=extlink}
 _httpbuild_ {_gwcgi_?e=_compressedoptions_&a=bc}
@@ -373,25 +374,37 @@
 _httpiconchelpof_ {_httpimg_/chelpof.gif}
 _httpiconchelpof_ [l=mi] {_httpimg_/mchelpof.gif}
+_httpiconchelpof_[l=zh] {_httpimg_/zhchelpof.gif}
 _httpiconchelpon_ {_httpimg_/chelpon.gif}
 _httpiconchelpon_ [l=mi] {_httpimg_/mchelpon.gif}
+_httpiconchelpon_[l=zh] {_httpimg_/zhchelpon.gif}
 _widthchelpx_ {36}
 _widthchelpx_ [l=mi] {57}
+_widthchelpx_[l=zh] {41}
 _heightchelpx_ {20}
+_heightchelpx_[l=zh] {20}
 
 _httpiconchomeof_ {_httpimg_/chomeof.gif}
 _httpiconchomeof_ [l=mi] {_httpimg_/mchomeof.gif}
+_httpiconchomeof_[l=zh] {_httpimg_/zhchomeof.gif}
 _httpiconchomeon_ {_httpimg_/chomeon.gif}
 _httpiconchomeon_ [l=mi] {_httpimg_/mchomeon.gif}
+_httpiconchomeon_[l=zh] {_httpimg_/zhchomeon.gif}
 _widthchomex_ {43}
 _widthchomex_ [l=mi] {54}
+_widthchomex_[l=zh] {41}
 _heightchomex_ {20}
+_heightchomex_[l=zh] {20}
 
 _httpiconcprefof_ {_httpimg_/cprefof.gif}
 _httpiconcprefof_ [l=mi] {_httpimg_/mcprefof.gif}
+_httpiconcprefof_[l=zh] {_httpimg_/zhcprefof.gif}
 _httpiconcprefon_ {_httpimg_/cprefon.gif}
 _httpiconcprefon_ [l=mi] {_httpimg_/mcprefon.gif}
+_httpiconcprefon_[l=zh] {_httpimg_/zhcprefon.gif}
 _widthcprefx_ {87}
 _widthcprefx_ [l=mi] {103}
+_widthcprefx_[l=zh] {41}
 _heightcprefx_ {20}
+_heightcprefx_[l=zh] {20}
 
 _httpiconcabtof_ {_httpimg_/cabtof.gif}
@@ -409,4 +422,5 @@
 
 _httpiconhhelp_ {_httpimg_/h\_help.gif}
+_httpiconhhelp_[l=zh] {_httpimg_/zhh\_help.gif}
 _widthhhelp_ {200}
 _heighthhelp_ {57}
@@ -450,4 +464,11 @@
 _widthtauthx_ {110}
 _heighttauthx_ {17}
+
+_httpicontauthgr_[l=zh] {_httpimg_/zhtauthgr.gif}
+_httpicontauthof_[l=zh] {_httpimg_/zhtauthof.gif}
+_httpicontauthon_[l=zh] {_httpimg_/zhtauthon.gif}
+_widthtauthx_[l=zh] {110}
+_heighttauthx_[l=zh] {17}
+
 
 _httpicontsergr_ {_httpimg_/tsergr.gif}
@@ -509,4 +530,19 @@
 _heighttsrchx_ {17}
 
+_httpicontsrchgr_[l=zh] {_httpimg_/zhtsrchgr.gif}
+_httpicontsrchof_[l=zh] {_httpimg_/zhtsrchof.gif}
+_httpicontsrchon_[l=zh] {_httpimg_/zhtsrchon.gif}
+_widthtsrchx_[l=zh] {87}
+_heighttsrchx_[l=zh] {17}
+
+_httpiconcontoff_[l=zh] {_httpimg_/zhcontoff.gif}
+_httpiconconton_[l=zh] {_httpimg_/zhconton.gif}
+_widthcontx_[l=zh] {76}
+_heightcontx_[l=zh] {17}
+
+_httpiconhauth_[l=zh] {_httpimg_/zhh\_auth.gif}
+_widthhauth_[l=zh] {200}
+_heighthauth_[l=zh] {57}
+
 _httpicontlistgr_ {_httpimg_/tlistgr.gif}
 _httpicontlistof_ {_httpimg_/tlistof.gif}
@@ -521,4 +557,10 @@
 _heightttitlx_ {17}
 
+_httpiconttitlgr_[l=zh] {_httpimg_/zhttitlgr.gif}
+_httpiconttitlof_[l=zh] {_httpimg_/zhttitlof.gif}
+_httpiconttitlon_[l=zh] {_httpimg_/zhttitlon.gif}
+_widthttitlx_[l=zh] {87}
+_heightttitlx_[l=zh] {17}
+
 _httpicontpeopgr_ {_httpimg/tpeopgr.gif}
 _httpicontpeopof_ {_httpimg/tpeopof.gif}
@@ -606,4 +648,20 @@
 _heightaclsdfdr_ {15}
 
+_httpiconhpref_[l=zh] {_httpimg_/zhh\_pref.gif}
+_widthhpref_[l=zh] {200}
+_heighthpref_[l=zh] {57}
+
+_httpiconhsearch_[l=zh] {_httpimg_/zhh\_sear.gif}
+_widthhsearch_[l=zh] {200}
+_heighthsearch_[l=zh] {57}
+
+_httpiconhtitle_[l=zh] {_httpimg_/zhh\_title.gif}
+_widthhtitle_[l=zh] {200}
+_heighthtitle_[l=zh] {57}
+
+_httpiconqryresb_[l=zh] {_httpimg_/zhqryresb.gif}
+_widthqryresb_[l=zh] {537}
+_heightqryresb_[l=zh] {17}
+
 
 #######################################################################
@@ -670,5 +728,5 @@
 _icontabPeoplegreen_[v=1] {_texticontabPeoplegreen_}
 
-_iconblankbar_ {<center><img src="_httpicondivb_" width=_widthdivb_ height=_heightdivb_></center>}
+_iconblankbar_ {<center><img src="_httpicondivb_" width=_widthdivb_ height=6></center>}
 _iconblankbar_[v=1] {<br><hr><br>}
 
@@ -681,4 +739,5 @@
 _iconclosedbook_ {<img src="_httpiconbook_" width=_widthbook_ height=_heightbook_ border=0 alt="_texticonclosedbook_">}
 _iconclosedbook_ [v=1] {<small><b>_texticonclosedbook_: </b></small>}
+_iconclosedbook_ [v=1,l=zh]{<small><_font_><b>_texticonclosedbook_: </b></font></small>}
 
 
@@ -740,62 +799,5 @@
 ################################
 
-_textimagecollection_ {}
-_textimageabout_ {About page}
-_textimagehome_ {Home page}
-_textimagehelp_ {Help page}
-_textimagepref_ {Preferences page}
-_textimagegreenstone_ {Greenstone Digital Library Software}
-
-_textimagesearch_ {Search for specific terms}
-_textimageTitle_ {Browse alphabetical list of titles}
-_textimageList_ {Browse document listing}
-_textimageCreator_ {Browse alphabetical list of authors}
-_textimageSeries_ {Browse by issue}
-_textimageDate_ {Browse by date}
-_textimageSubject_ {Browse by subject category}
-_textimageOrganization_ {Browse by organization}
-_textimageHowto_ {Browse how to categories}
-_textimageTopic_ {Browse special topic issues}
-_textimageBrowse_ {Browse}
-_textimagePeople_ {Browse alphabetical list of People}
-
-_texticontabsearchgreen_{Search}
-_texticontabdategreen_{Dates}
-_texticontabseriesgreen_{Series}
-_texticontabauthorgreen_{Authors A-Z}
-_texticontabtitlegreen_{Titles A-Z}
-_texticontablistgreen_ {Listing}
-_texticontabsubjectgreen_{Subjects}
-_texticontaborggreen_{Organization}
-_texticontabhowgreen_{How to}
-_texticontabtopicgreen_{Topics}
-_texticontabbrwsegreen_{Browse}
-_texticontabPeoplegreen_{People A-Z}
-
-_texticontext_ {View the document}
-_texticonclosedbook_ {open this document and view contents}
-_texticonnext_ {to next section}
-_texticonprev_ {to previous section}
-
-_page_ {page }
-_of_ { of }
-_vol_ {Volume}
-_num_ {Number}
-
-_textmonth00_ {}
-_textmonth01_ {January}
-_textmonth02_ {February}
-_textmonth03_ {March}
-_textmonth04_ {April}
-_textmonth05_ {May}
-_textmonth06_ {June}
-_textmonth07_ {July}
-_textmonth08_ {August}
-_textmonth09_ {September}
-_textmonth10_ {October}
-_textmonth11_ {November}
-_textmonth12_ {December}
-
-_magazines_ {Magazines}
+# moved to english.dm
 
 ################################
@@ -803,36 +805,18 @@
 ################################
 
-_textimagehelp_ [l=mi] {Te wh&auml;rangi whakam&auml;rama}
-_textimagepref_ [l=mi] {Te wh&auml;rangi o ng&auml; whiriwhiringa}
-_textimagehome_ [l=mi] {Te wh&auml;rangi k&auml;inga}
-_textimagesearch_ [l=mi] {rapua he kupu}
-_textimagebrowseseries_ [l=mi] {Tirohia te whakar&auml;rangi o ng&auml; niupepa}
-_textimagebrowsedates_ [l=mi] {Tirohia te w&auml; i puta mai ai ng&auml; niupepa}
-
-_page_ [l=mi] {wh&auml;rangi }
-_vol_ [l=mi] {Pukapuka}
-_num_ [l=mi] {Nama}
-_textmonth01_ [l=mi] {Hanuere}
-_textmonth02_ [l=mi] {Pepuere}
-_textmonth03_ [l=mi] {Maehe}
-_textmonth04_ [l=mi] {Aperira}
-_textmonth05_ [l=mi] {Mei}
-_textmonth06_ [l=mi] {Hune}
-_textmonth07_ [l=mi] {Hurae}
-_textmonth08_ [l=mi] {Akuhata}
-_textmonth09_ [l=mi] {Hepetema}
-_textmonth10_ [l=mi] {Oketopa}
-_textmonth11_ [l=mi] {Noema}
-_textmonth12_ [l=mi] {Tihema}
-_of_ [l=mi] { i te }
-
-
-_texticontabsearchgreen_ [l=mi] {rapu}
-_texticontabdatesgreen_ [l=mi] {w&auml;taka}
-_texticontabseriesgreen_ [l=mi] {whakar&auml;rangi niupepa}
-_texticonnext_ [l=mi] {titiro ki te wh&auml;rangi o muri}
-_texticonprev_ [l=mi] {titiro ki te wh&auml;rangi o mua}
-_texticontext_ [l=mi] {Tirohia te wh&auml;rangi}
-
-_textimageSeries_ [l=mi] {Tirohia te whakar&auml;rangi taitara}
-_textimageDate_ [l=mi] {Tirohia te whakar&auml;rangi w&auml;taka}
+# moved to maori.dm
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+