Index: /trunk/gsdl/macros/document.dm
===================================================================
--- /trunk/gsdl/macros/document.dm	(revision 876)
+++ /trunk/gsdl/macros/document.dm	(revision 877)
@@ -358,11 +358,13 @@
 _httpiconeallton_ {_httpimg_/eallton.gif}
 _httpiconeallton_ [l=mi] {_httpimg_/meallton.gif}
-_widthealltx_ {46}
-_widthealltx_ [l=mi] {42}
+#_widthealltx_ {46}
+_widthealltx_ {65}
+#_widthealltx_ [l=mi] {42}
 _heightealltx_ {30}
 
 _httpiconeconcof_ {_httpimg_/econcof.gif}
 _httpiconeconcon_ {_httpimg_/econcon.gif}
-_widtheconcx_ {63}
+#_widtheconcx_ {63}
+_widtheconcx_ {65}
 _heighteconcx_ {30}
 
@@ -371,11 +373,13 @@
 _httpiconedtchon_ {_httpimg_/edtchon.gif}
 _httpiconedtchon_ [l=mi] {_httpimg_/medtchon.gif}
-_widthedtchx_ {47}
-_widthedtchx_ [l=mi] {56}
+#_widthedtchx_ {47}
+_widthedtchx_ {65}
+#_widthedtchx_ [l=mi] {56}
 _heightedtchx_ {30}
 
 _httpiconeexpcof_ {_httpimg_/eexpcof.gif}
 _httpiconeexpcon_ {_httpimg_/eexpcon.gif}
-_widtheexpcx_ {60}
+#_widtheexpcx_ {60}
+_widtheexpcx_ {65}
 _heighteexpcx_ {30}
 
@@ -384,6 +388,7 @@
 _httpiconetsecon_ {_httpimg_/etsecon.gif}
 _httpiconetsecon_ [l=mi] {_httpimg_/metsecon.gif}
-_widthetsecx_ {63}
-_widthetsecx_ [l=mi] {53}
+#_widthetsecx_ {63}
+_widthetsecx_ {65}
+#_widthetsecx_ [l=mi] {53}
 _heightetsecx_ {30}
 
@@ -392,6 +397,7 @@
 _httpiconehlon_ {_httpimg_/ehlon.gif}
 _httpiconehlon_ [l=mi] {_httpimg_/mehlon.gif}
-_widthehlx_ {53}
-_widthehlx_ [l=mi] {47}
+#_widthehlx_ {53}
+_widthehlx_ {65}
+#_widthehlx_ [l=mi] {47}
 _heightehlx_ {30}
 
@@ -400,6 +406,7 @@
 _httpiconenhlon_ {_httpimg_/enhlon.gif}
 _httpiconenhlon_ [l=mi] {_httpimg_/menhlon.gif}
-_widthenhlx_ {57}
-_widthenhlx_ [l=mi] {56}
+#_widthenhlx_ {57}
+_widthenhlx_ {65}
+#_widthenhlx_ [l=mi] {56}
 _heightenhlx_ {30}
 
Index: /trunk/gsdl/macros/english.dm
===================================================================
--- /trunk/gsdl/macros/english.dm	(revision 876)
+++ /trunk/gsdl/macros/english.dm	(revision 877)
@@ -442,15 +442,17 @@
 to the previous one.
 
-<p>Below the photograph are four buttons.  Click on <i>detach</i> to make a
-new browser window for this book.  (This is useful if you want to compare
-books, or read two at once.)  Click on <i>expand contents</i> to expand out the
-whole table of contents so that you can see the titles of all chapters and
-subsections.  Click on <i>expand text</i> to expand out the whole text of the
-current section, or book.  If the book is large, this could take a long time
-and use a lot of memory! Finally, when you do a search the words you search
-for are highlighted. Click on <i>no highlighting</i> to remove highlighting.
+<p>Below the photograph are four buttons. Click on <i>expand text</i> to
+expand out the whole text of the current section, or book.  If the book is
+large, this could take a long time and use a lot of memory! Click on
+<i>expand contents</i> to expand out the whole table of contents so that
+you can see the titles of all chapters and subsections. Click on
+<i>detach</i> to make a new browser window for this book.  (This is useful
+if you want to compare books, or read two at once.) Finally, when you do a
+search the words you search for are highlighted. Click on <i>no
+highlighting</i> to remove highlighting.
+
 <p>
 <table cellspacing="0" cellpadding="2" border="0">
-<tr><td colspan=2><img src="_httpiconbshelf_" border="0"></td><td>Open/close this bookshelf</td></tr>
+<tr><td colspan=2><img src="_httpiconbshelf_" border="0"></td><td>Open this bookshelf</td></tr>
 <tr><td><img src="_httpiconopenbook_" border="0"></td><td><img 
 src="_httpiconbook_" border="0"></td><td>Open/close this book</td></tr>
@@ -463,5 +465,5 @@
 <tr><td><img src="_document:httpiconehlof_" border="0"></td><td><img
 src="_document:httpiconenhlof_" border="0"></td><td>Highlight search terms, or not</td></tr>
-<tr><td colspan=2><img src="_httpiconmore_" border="0"></td><td>Click on the arrow to go to the next section ...</td></tr>
+<tr><td colspan=2><img src="_httpiconmore_" border="0"></td><td>Click the arrow to go to the next section ...</td></tr>
 <tr><td colspan=2><img src="_httpiconless_" border="0"></td><td>... or back to the previous section</td></tr>
 </table>
@@ -618,4 +620,12 @@
       "African" and "building" respectively (also, "s" would be removed from
       "builds").
+
+<p>You can also switch to an "advanced" query mode which allows you to
+combine terms using AND (&), OR (|), and NOT (!). This allows you to
+specify more precise queries.
+
+<p>Finally, you can control the number of hits returned, and the number
+presented on each screenful.
+
 }
 