Index: trunk/gsdl/macros/base.dm
===================================================================
--- trunk/gsdl/macros/base.dm	(revision 876)
+++ trunk/gsdl/macros/base.dm	(revision 931)
@@ -107,13 +107,4 @@
 }
 
-_imageList_ {<a href="_httpbrowseList_"
-    onMouseover = "img\_on('list')" 
-    onMouseout = "img\_off('list')"><img name="list" 
-        src="_httpicontlistof_" width=_widthtlistx_ height=_heighttlistx_ 
-        border=0 alt="_textimageList_"></a>}
-_imageList_[v=1] {<a href="_httpbrowseList_">_textimageList_</a><br>
-}
-
-
 _imageCreator_ {<a href="_httpbrowseCreator_"
     onMouseover = "img\_on('authors')" 
@@ -372,45 +363,4 @@
 _heightchalk_ {10}
 
-_httpiconchelpof_ {_httpimg_/chelpof.gif}
-_httpiconchelpof_ [l=mi] {_httpimg_/mchelpof.gif}
-_httpiconchelpof_[l=zh] {_httpimg_/zhchelpof.gif}
-_httpiconchelpon_ {_httpimg_/chelpon.gif}
-_httpiconchelpon_ [l=mi] {_httpimg_/mchelpon.gif}
-_httpiconchelpon_[l=zh] {_httpimg_/zhchelpon.gif}
-_widthchelpx_ {36}
-_widthchelpx_ [l=mi] {57}
-_widthchelpx_[l=zh] {41}
-_heightchelpx_ {20}
-_heightchelpx_[l=zh] {20}
-
-_httpiconchomeof_ {_httpimg_/chomeof.gif}
-_httpiconchomeof_ [l=mi] {_httpimg_/mchomeof.gif}
-_httpiconchomeof_[l=zh] {_httpimg_/zhchomeof.gif}
-_httpiconchomeon_ {_httpimg_/chomeon.gif}
-_httpiconchomeon_ [l=mi] {_httpimg_/mchomeon.gif}
-_httpiconchomeon_[l=zh] {_httpimg_/zhchomeon.gif}
-_widthchomex_ {43}
-_widthchomex_ [l=mi] {54}
-_widthchomex_[l=zh] {41}
-_heightchomex_ {20}
-_heightchomex_[l=zh] {20}
-
-_httpiconcprefof_ {_httpimg_/cprefof.gif}
-_httpiconcprefof_ [l=mi] {_httpimg_/mcprefof.gif}
-_httpiconcprefof_[l=zh] {_httpimg_/zhcprefof.gif}
-_httpiconcprefon_ {_httpimg_/cprefon.gif}
-_httpiconcprefon_ [l=mi] {_httpimg_/mcprefon.gif}
-_httpiconcprefon_[l=zh] {_httpimg_/zhcprefon.gif}
-_widthcprefx_ {87}
-_widthcprefx_ [l=mi] {103}
-_widthcprefx_[l=zh] {41}
-_heightcprefx_ {20}
-_heightcprefx_[l=zh] {20}
-
-_httpiconcabtof_ {_httpimg_/cabtof.gif}
-_httpiconcabton_ {_httpimg_/cabton.gif}
-_widthcabtx_ {50}
-_heightcabtx_ {20}
-
 _httpicondivb_ {_httpimg_/divb.gif}
 _widthdivb_ {_pagewidth_}
@@ -421,9 +371,4 @@
 _heightgsdl_ {77}
 
-_httpiconhhelp_ {_httpimg_/h\_help.gif}
-_httpiconhhelp_[l=zh] {_httpimg_/zhh\_help.gif}
-_widthhhelp_ {200}
-_heighthhelp_ {57}
-
 _httpiconitext_ {_httpimg_/itext.gif}
 _widthitext_ {16}
@@ -442,13 +387,4 @@
 _heightmore_ {16}
 
-_httpiconstop_ {_httpimg_/stop.gif}
-_widthstop_ {30}
-_heightstop_ {16}
-
-_httpiconqryresb_ {_httpimg_/qryresb.gif}
-_httpiconqryresb_ [l=mi] {_httpimg_/mqryresb.gif}
-_widthqryresb_ {_pagewidth_}
-_heightqryresb_ {17}
-
 _httpiconspacer_ {_httpimg_/spacer.gif}
 _widthspacer_ {42}
@@ -459,114 +395,4 @@
 _heighttabspace_ {1}
 
-_httpicontauthgr_ {_httpimg_/tauthgr.gif}
-_httpicontauthof_ {_httpimg_/tauthof.gif}
-_httpicontauthon_ {_httpimg_/tauthon.gif}
-_widthtauthx_ {110}
-_heighttauthx_ {17}
-
-_httpicontauthgr_[l=zh] {_httpimg_/zhtauthgr.gif}
-_httpicontauthof_[l=zh] {_httpimg_/zhtauthof.gif}
-_httpicontauthon_[l=zh] {_httpimg_/zhtauthon.gif}
-_widthtauthx_[l=zh] {110}
-_heighttauthx_[l=zh] {17}
-
-
-_httpicontsergr_ {_httpimg_/tsergr.gif}
-_httpicontsergr_ [l=mi] {_httpimg_/mtsergr.gif}
-_httpicontserof_ {_httpimg_/tserof.gif}
-_httpicontserof_ [l=mi] {_httpimg_/mtserof.gif}
-_httpicontseron_ {_httpimg_/tseron.gif}
-_httpicontseron_ [l=mi] {_httpimg_/mtseron.gif}
-_widthtserx_ {87}
-_widthtserx_ [l=mi] {192}
-_heighttserx_ {17}
-
-_httpicontdategr_ {_httpimg_/tdategr.gif}
-_httpicontdategr_ [l=mi] {_httpimg_/mtdategr.gif}
-_httpicontdateof_ {_httpimg_/tdateof.gif}
-_httpicontdateof_ [l=mi] {_httpimg_/mtdateof.gif}
-_httpicontdateon_ {_httpimg_/tdateon.gif}
-_httpicontdateon_ [l=mi] {_httpimg_/mtdateon.gif}
-_widthtdatex_ {87}
-_heighttdatex_ {17}
-
-_httpicontsubjgr_ {_httpimg_/tsubjgr.gif}
-_httpicontsubjon_ {_httpimg_/tsubjon.gif}
-_httpicontsubjof_ {_httpimg_/tsubjof.gif}
-_widthtsubjx_ {87}
-_heighttsubjx_ {17}
-
-_httpicontorggr_{_httpimg_/torggr.gif}
-_httpicontorgon_{_httpimg_/torgon.gif}
-_httpicontorgof_{_httpimg_/torgof.gif}
-_widthtorgx_ {109}
-_heighttorgx_ {17}
-
-_httpiconthowgr_{_httpimg_/thowgr.gif}
-_httpiconthowon_{_httpimg_/thowon.gif}
-_httpiconthowof_{_httpimg_/thowof.gif}
-_widththowx_ {87}
-_heightthowx_ {17}
-
-_httpiconttopicgr_{_httpimg_/ttopicgr.gif}
-_httpiconttopicon_{_httpimg_/ttopicon.gif}
-_httpiconttopicof_{_httpimg_/ttopicof.gif}
-_widthttopicx_ {87}
-_heightttopicx_ {17}
-
-_httpicontbrwsegr_{_httpimg_/tbrwsegr.gif}
-_httpicontbrwseon_{_httpimg_/tbrwseon.gif}
-_httpicontbrwseof_{_httpimg_/tbrwseof.gif}
-_widthtbrwsex_ {87}
-_heighttbrwsex_ {17}
-
-_httpicontsrchgr_ {_httpimg_/tsrchgr.gif}
-_httpicontsrchgr_ [l=mi] {_httpimg_/mtsrchgr.gif}
-_httpicontsrchof_ {_httpimg_/tsrchof.gif}
-_httpicontsrchof_ [l=mi] {_httpimg_/mtsrchof.gif}
-_httpicontsrchon_ {_httpimg_/tsrchon.gif}
-_httpicontsrchon_ [l=mi] {_httpimg_/mtsrchon.gif}
-_widthtsrchx_ {87}
-_heighttsrchx_ {17}
-
-_httpicontsrchgr_[l=zh] {_httpimg_/zhtsrchgr.gif}
-_httpicontsrchof_[l=zh] {_httpimg_/zhtsrchof.gif}
-_httpicontsrchon_[l=zh] {_httpimg_/zhtsrchon.gif}
-_widthtsrchx_[l=zh] {87}
-_heighttsrchx_[l=zh] {17}
-
-_httpiconcontoff_[l=zh] {_httpimg_/zhcontoff.gif}
-_httpiconconton_[l=zh] {_httpimg_/zhconton.gif}
-_widthcontx_[l=zh] {76}
-_heightcontx_[l=zh] {17}
-
-_httpiconhauth_[l=zh] {_httpimg_/zhh\_auth.gif}
-_widthhauth_[l=zh] {200}
-_heighthauth_[l=zh] {57}
-
-_httpicontlistgr_ {_httpimg_/tlistgr.gif}
-_httpicontlistof_ {_httpimg_/tlistof.gif}
-_httpicontliston_ {_httpimg_/tliston.gif}
-_widthtlistx_ {87}
-_heighttlistx_ {17}
-
-_httpiconttitlgr_ {_httpimg_/ttitlgr.gif}
-_httpiconttitlof_ {_httpimg_/ttitlof.gif}
-_httpiconttitlon_ {_httpimg_/ttitlon.gif}
-_widthttitlx_ {87}
-_heightttitlx_ {17}
-
-_httpiconttitlgr_[l=zh] {_httpimg_/zhttitlgr.gif}
-_httpiconttitlof_[l=zh] {_httpimg_/zhttitlof.gif}
-_httpiconttitlon_[l=zh] {_httpimg_/zhttitlon.gif}
-_widthttitlx_[l=zh] {87}
-_heightttitlx_[l=zh] {17}
-
-_httpicontpeopgr_ {_httpimg/tpeopgr.gif}
-_httpicontpeopof_ {_httpimg/tpeopof.gif}
-_httpicontpeopon_ {_httpimg/tpeopon.gif}
-_widthtpeopx_ {97}
-_heighttpeopx_ {17}
-
 _httpicontspace_ {_httpimg_/tspace.gif}
 _heighttspace_ {17}
@@ -576,24 +402,8 @@
 _heightwarning_ {29}
 
-_httpiconhabout_ {_httpimg_/h\_about.gif}
-_httpiconhabout_ [l=mi] {_httpimg_/mh\_about.gif}
-_widthhabout_ {200}
-_widthhabout_ [l=mi] {262}
-_heighthabout_ {57}
-
 _httpiconhhome_ {_httpimg_/h\_home.gif}
 _widthhhome_ {200}
 _heighthhome_ {57}
 
-_httpiconhname_ {_httpimg_/h\_name.gif}
-_widthhname_ {200}
-_heighthname_ {57}
-
-_httpicontnamegr_ {_httpimg_/tnamegr.gif}
-_httpicontnameof_ {_httpimg_/tnameof.gif}
-_httpicontnameon_ {_httpimg_/tnameon.gif}
-_widthtnamex_ {95}
-_heighttnamex_ {17}
-
 _httpiconarrrght_ {_httpimg_/arrrght.gif}
 _widtharrrght_ {23}
@@ -647,20 +457,4 @@
 _widthaclsdfdr_ {23}
 _heightaclsdfdr_ {15}
-
-_httpiconhpref_[l=zh] {_httpimg_/zhh\_pref.gif}
-_widthhpref_[l=zh] {200}
-_heighthpref_[l=zh] {57}
-
-_httpiconhsearch_[l=zh] {_httpimg_/zhh\_sear.gif}
-_widthhsearch_[l=zh] {200}
-_heighthsearch_[l=zh] {57}
-
-_httpiconhtitle_[l=zh] {_httpimg_/zhh\_title.gif}
-_widthhtitle_[l=zh] {200}
-_heighthtitle_[l=zh] {57}
-
-_httpiconqryresb_[l=zh] {_httpimg_/zhqryresb.gif}
-_widthqryresb_[l=zh] {537}
-_heightqryresb_[l=zh] {17}
 
 
@@ -795,28 +589,15 @@
 
 
-################################
-# English Macros               #
-################################
-
-# moved to english.dm
-
-################################
-# Maori Macros                 #
-################################
-
-# moved to maori.dm
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
+
+
+
+
+
+
+
+
+
+
+
+
+