Index: trunk/gsdl/macros/base.dm
===================================================================
--- trunk/gsdl/macros/base.dm	(revision 979)
+++ trunk/gsdl/macros/base.dm	(revision 980)
@@ -341,6 +341,6 @@
 _httppageabout_ {_httppagex_(about)}
 #_httppagehome_ {_httppagex_(home)}
-#_httppagehome_ {_gwcgi_?a=p&p=home}
-_httppagehome_ {http://www.nzdl.org/fast-cgi-bin/library?a=p&p=home}
+_httppagehome_ {_gwcgi_?a=p&p=home}
+#_httppagehome_ {http://www.nzdl.org/fast-cgi-bin/library?a=p&p=home}
 _httppagehelp_ {_httppagex_(help)}
 _httppagepref_ {_httppagex_(preferences)}
Index: trunk/gsdl/macros/gsdlsoft.dm
===================================================================
--- trunk/gsdl/macros/gsdlsoft.dm	(revision 979)
+++ trunk/gsdl/macros/gsdlsoft.dm	(revision 980)
@@ -27,13 +27,16 @@
 <h4>The Greenstone software</h4>
 
-<p> The Greenstone Digital Library software provides a new way of organizing
-information and making it available over the Internet.  A <i>collection</i> of
-information comprises several (typically several thousand, or even several
-million) <i>documents</i>, which share a uniform searching and browsing
-interface.  The collections in a library are organized in a different
-way--though they share a strong family resemblance.  Although primarily
-designed for access over the Web, Greenstone collections can be made available,
-in precisely the same form, on CD-ROM for standalone PCs.  Greenstone is
-open-source software, available under the terms of the Gnu public linense.
+<p> The Greenstone Digital Library software provides a new way of
+organizing information and making it available over the Internet.  A
+<i>collection</i> of information comprises several (typically several
+thousand, or even several million) <i>documents</i>, which share a uniform
+searching and browsing interface.  The collections in a library are
+organized in a different way--though they share a strong family
+resemblance.  Although primarily designed for access over the Web,
+Greenstone collections can be made available, in precisely the same form,
+on CD-ROM for standalone PCs.  Greenstone is open-source software,
+available under the terms of the Gnu public license.  Documentation is
+available in the form of <i>The Greenstone Digital Library Software</i>
+manual.
 
 <h4>Installing Greenstone</h4>
@@ -42,15 +45,17 @@
 
 <ul>
-<li>Download the <a href="http://www.nzdl.org/technology/gsdl-2.11.tar.gz"><i>gsdl-2.11</i></a> distribution.
-<li>Extract the gzipped tar archive (tar xvzf gsdl-2.11.tar.gz)
-<li>In the resulting gsdl directory type "./configure". When the configure script has finished running type
-"make", then "make install".
-<li>"make install" copies the compiled executable file into the top level gsdl directory by default. To
-run the library as a cgi script move the executable to your cgi-bin directory.
+<li>Download the <a href="http://www.nzdl.org/technology/gsdl-2.12.tar.gz"><i>gsdl-2.12</i></a> distribution <i>(4.6 Mb)</i>.
+<li>Extract the gzipped tar archive <i>(tar xvzf gsdl-2.12.tar.gz)</i>.
+<li>In the resulting gsdl directory type <i>./configure</i>. When the configure script has finished running type
+<i>make</i>, then <i>make install</i>.
+<li><i>make install</i> copies the compiled executable file into the gsdl/cgi-bin directory by default. To
+run the library as a cgi script move the executable and the gsdlsite.cfg configuration file to your 
+systems cgi-bin directory.
+<li>The gsdlsite.cfg configuration file must be edited to suit your site. The gsdlhome entry will need to 
+be set to point to your gsdl directory. Other fields that may need changing are httpprefix (the web path 
+to the gsdl directory) and httpimg (the path to gsdl/images).
 <li>To build the demonstration collection that comes with the distribution run the builddemo.sh script
 from within the gsdl directory.
-<li>The gsdl/etc/site.cfg.example file must be saved as gsdl/etc/site.cfg and edited to suit your site.
-Things that may need changing are httpprefix (the web path to the gsdl directory) and httpimg (the path
-to gsdl/images).
+<li>For more information on using the Greenstone software, download <i>The Greenstone Digital Library Software</i> manual.
 </ul>
 
@@ -59,4 +64,20 @@
 binaries) will soon be made available.
 
+<h4>Greenstone Collections</h4>
+Several of the smaller collections on this website are available for
+download. Once the main Greenstone distribution is installed simply
+download the required collection and extract the gzipped tar file to your
+gsdl/collect directory. You then need to import and build your new
+collection. See <i>The Greenstone Digital Library Software</i> manual for
+details on importing and building collections. The Greenstone software will
+automatically notice your new collection and include it in the home page
+once it has been built successfully.
+<p><a href="http://www.nzdl.org/technology/arabic.tar.gz">arabic demonstration collection</a> <i>(4.2 Mb)</i>.
+<br><a href="http://www.nzdl.org/technology/chinese.tar.gz">chinese demonstration collection</a> <i>(470 kb)</i>.
+<br><a href="http://www.nzdl.org/technology/hcibib.tar.gz">the hci bibliography</a> <i>(4.8 Mb)</i>.
+<br><a href="http://www.nzdl.org/technology/ipc.tar.gz">indigenous peoples</a> <i>(3.6 Mb)</i>.
+<br><a href="http://www.nzdl.org/technology/tcc.tar.gz">the computists' weekly</a> <i>(5.0 Mb)</i>.
+<br><a href="http://www.nzdl.org/technology/tidbits.tar.gz">tidbits</a> <i>(5.4 Mb)</i>.
+
 <h4>Bugs</h4>
 Please report bugs or installation problems to <a href="mailto:greenstone@cs.waikato.ac.nz">greenstone@cs.waikato.ac.nz</a>